/webhooks/rest/v1/webhooks/{webhookId}/template/{templateId} REST API Endpoint
Path Parameters
webhookId
string
REQUIRED
Loading...
templateId
string
REQUIRED
Loading...
evmWalletFilterevmContractEventsevmAbiFiltersolanaWalletFilterbitcoinWalletFilterxrplWalletFilterhyperliquidWalletEventsFilterstellarWalletTransactionsSourceAccountFilterBody Parameters
name
string
Loading...
notification_email
string
Loading...
destination_attributes
object
Loading...
url
string
Loading...
security_token
string
Loading...
compression
string
Loading...
nonegziptemplateArgs
object
REQUIRED
Template-specific arguments. Select a template to see its required arguments.
Arguments for the evmWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing EVM wallet addresses to monitor.
Arguments for the evmContractEvents template. At least one of contractsListName or eventHashesListName should be provided.
contractsListName
string
Name of a kv store list containing contract addresses to monitor.
eventHashesListName
string
Name of a kv store list containing event signature hashes to monitor.
Arguments for the evmAbiFilter template.
abiJson
string
REQUIRED
ABI JSON string.
contractsListName
string
Name of a kv store list containing contract addresses to monitor.
Arguments for the solanaWalletFilter template.
accountsListName
string
REQUIRED
Name of a kv store list containing Solana account addresses to monitor.
Arguments for the bitcoinWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Bitcoin wallet addresses to monitor.
Arguments for the xrplWalletFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing XRP Ledger wallet addresses to monitor.
Arguments for the hyperliquidWalletEventsFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Hyperliquid wallet addresses to monitor.
Arguments for the stellarWalletTransactionsSourceAccountFilter template.
walletsListName
string
REQUIRED
Name of a kv store list containing Stellar wallet addresses to monitor.
Returns
id
string
Loading...
created_at
string
Loading...
name
string
Loading...
network
string
Loading...
notification_email
string
Loading...
destination_attributes
object
Loading...
url
string
Loading...
security_token
string
Loading...
compression
string
Loading...
sequence
integer
Loading...
status
string
Loading...
templateId
string
Loading...
templateArgs
object
Loading...
Request
1curl -X PATCH \2"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID/template/evmWalletFilter" \3-H "accept: application/json" \4-H "Content-Type: application/json" \5-H "x-api-key: YOUR_API_KEY" \6-d $'{7"name": "Updated Webhook Name",8"notification_email": "contact@example.com",9"destination_attributes": {10"url": "https://webhook.site/your-updated-url",11"security_token": "updated-security-token",12"compression": "none"13},14"templateArgs": {15"walletsListName": "my_wallets_list"16}17}'
1curl -X PATCH \2"https://api.quicknode.com/webhooks/rest/v1/webhooks/YOUR_WEBHOOK_ID/template/evmWalletFilter" \3-H "accept: application/json" \4-H "Content-Type: application/json" \5-H "x-api-key: YOUR_API_KEY" \6-d $'{7"name": "Updated Webhook Name",8"notification_email": "contact@example.com",9"destination_attributes": {10"url": "https://webhook.site/your-updated-url",11"security_token": "updated-security-token",12"compression": "none"13},14"templateArgs": {15"walletsListName": "my_wallets_list"16}17}'
1const axios = require('axios')23const webhookId = 'YOUR_WEBHOOK_ID'4const templateId = 'evmWalletFilter'5const url = `https://api.quicknode.com/webhooks/rest/v1/webhooks/${webhookId}/template/${templateId}`67const payload = {8name: 'Updated Webhook Name',9notification_email: 'contact@example.com',10destination_attributes: {11url: 'https://webhook.site/your-updated-url',12security_token: 'updated-security-token',13compression: 'none',14},15templateArgs: {16walletsListName: 'my_wallets_list',17},18}1920const headers = {21accept: 'application/json',22'Content-Type': 'application/json',23'x-api-key': 'YOUR_API_KEY', // Replace with your actual API key24}2526axios27.patch(url, payload, { headers })28.then(response => {29console.log(response.data)30})31.catch(error => {32console.error('Error:', error.response?.data || error.message)33})34
1const axios = require('axios')23const webhookId = 'YOUR_WEBHOOK_ID'4const templateId = 'evmWalletFilter'5const url = `https://api.quicknode.com/webhooks/rest/v1/webhooks/${webhookId}/template/${templateId}`67const payload = {8name: 'Updated Webhook Name',9notification_email: 'contact@example.com',10destination_attributes: {11url: 'https://webhook.site/your-updated-url',12security_token: 'updated-security-token',13compression: 'none',14},15templateArgs: {16walletsListName: 'my_wallets_list',17},18}1920const headers = {21accept: 'application/json',22'Content-Type': 'application/json',23'x-api-key': 'YOUR_API_KEY', // Replace with your actual API key24}2526axios27.patch(url, payload, { headers })28.then(response => {29console.log(response.data)30})31.catch(error => {32console.error('Error:', error.response?.data || error.message)33})34
1import requests23webhook_id = "YOUR_WEBHOOK_ID"4template_id = "evmWalletFilter"5url = f"https://api.quicknode.com/webhooks/rest/v1/webhooks/{webhook_id}/template/{template_id}"67payload = {8"name": "Updated Webhook Name",9"notification_email": "contact@example.com",10"destination_attributes": {11"url": "https://webhook.site/your-updated-url",12"security_token": "updated-security-token",13"compression": "none"14},15"templateArgs": {16"walletsListName": "my_wallets_list"17}18}1920headers = {21"accept": "application/json",22"Content-Type": "application/json",23"x-api-key": "YOUR_API_KEY" # Replace with your actual API key24}2526response = requests.patch(url, headers=headers, json=payload)2728print(response.text)
1import requests23webhook_id = "YOUR_WEBHOOK_ID"4template_id = "evmWalletFilter"5url = f"https://api.quicknode.com/webhooks/rest/v1/webhooks/{webhook_id}/template/{template_id}"67payload = {8"name": "Updated Webhook Name",9"notification_email": "contact@example.com",10"destination_attributes": {11"url": "https://webhook.site/your-updated-url",12"security_token": "updated-security-token",13"compression": "none"14},15"templateArgs": {16"walletsListName": "my_wallets_list"17}18}1920headers = {21"accept": "application/json",22"Content-Type": "application/json",23"x-api-key": "YOUR_API_KEY" # Replace with your actual API key24}2526response = requests.patch(url, headers=headers, json=payload)2728print(response.text)
1require "uri"2require "net/http"3require "json"45webhook_id = "YOUR_WEBHOOK_ID"6template_id = "evmWalletFilter"7url = URI("https://api.quicknode.com/webhooks/rest/v1/webhooks/#{webhook_id}/template/#{template_id}")89https = Net::HTTP.new(url.host, url.port)10https.use_ssl = true1112request = Net::HTTP::Patch.new(url)13request["accept"] = "application/json"14request["Content-Type"] = "application/json"15request["x-api-key"] = "YOUR_API_KEY" # Replace with your actual API key1617request.body = {18"name" => "Updated Webhook Name",19"notification_email" => "contact@example.com",20"destination_attributes" => {21"url" => "https://webhook.site/your-updated-url",22"security_token" => "updated-security-token",23"compression" => "none"24},25"templateArgs" => {26"walletsListName" => "my_wallets_list"27}28}.to_json2930response = https.request(request)31puts response.body
1require "uri"2require "net/http"3require "json"45webhook_id = "YOUR_WEBHOOK_ID"6template_id = "evmWalletFilter"7url = URI("https://api.quicknode.com/webhooks/rest/v1/webhooks/#{webhook_id}/template/#{template_id}")89https = Net::HTTP.new(url.host, url.port)10https.use_ssl = true1112request = Net::HTTP::Patch.new(url)13request["accept"] = "application/json"14request["Content-Type"] = "application/json"15request["x-api-key"] = "YOUR_API_KEY" # Replace with your actual API key1617request.body = {18"name" => "Updated Webhook Name",19"notification_email" => "contact@example.com",20"destination_attributes" => {21"url" => "https://webhook.site/your-updated-url",22"security_token" => "updated-security-token",23"compression" => "none"24},25"templateArgs" => {26"walletsListName" => "my_wallets_list"27}28}.to_json2930response = https.request(request)31puts response.body
1qn webhook update-template {webhook_id} --template {template_id} \2--wallet {wallet_address_1} \3--wallet {wallet_address_2} \4-o json
1qn webhook update-template {webhook_id} --template {template_id} \2--wallet {wallet_address_1} \3--wallet {wallet_address_2} \4-o json
1import { QuicknodeSdk } from "@quicknode/sdk"23const qn = new QuicknodeSdk({ apiKey: "YOUR_API_KEY" })45const response = await qn.webhooks.updateWebhookTemplate("WEBHOOK_ID", { templateArgs: { templateId: "evmWalletFilter", wallet: "0x0000000000000000000000000000000000000000" } })6console.log(response)7
1import { QuicknodeSdk } from "@quicknode/sdk"23const qn = new QuicknodeSdk({ apiKey: "YOUR_API_KEY" })45const response = await qn.webhooks.updateWebhookTemplate("WEBHOOK_ID", { templateArgs: { templateId: "evmWalletFilter", wallet: "0x0000000000000000000000000000000000000000" } })6console.log(response)7
1import asyncio2from quicknode_sdk import QuicknodeSdk, SdkFullConfig345async def main():6qn = QuicknodeSdk(SdkFullConfig(api_key="YOUR_API_KEY"))7response = await qn.webhooks.update_webhook_template("WEBHOOK_ID", template_args={"template_id": "evmWalletFilter", "wallet": "0x0000000000000000000000000000000000000000"})8print(response)91011asyncio.run(main())12
1import asyncio2from quicknode_sdk import QuicknodeSdk, SdkFullConfig345async def main():6qn = QuicknodeSdk(SdkFullConfig(api_key="YOUR_API_KEY"))7response = await qn.webhooks.update_webhook_template("WEBHOOK_ID", template_args={"template_id": "evmWalletFilter", "wallet": "0x0000000000000000000000000000000000000000"})8print(response)91011asyncio.run(main())12
1require "quicknode_sdk"23qn = QuicknodeSdk::SDK.from_config(api_key: "YOUR_API_KEY")45response = qn.webhooks.update_webhook_template("WEBHOOK_ID", template_args: { template_id: "evmWalletFilter", walletsListName: "my_wallets_list" })6puts response7
1require "quicknode_sdk"23qn = QuicknodeSdk::SDK.from_config(api_key: "YOUR_API_KEY")45response = qn.webhooks.update_webhook_template("WEBHOOK_ID", template_args: { template_id: "evmWalletFilter", walletsListName: "my_wallets_list" })6puts response7
1use quicknode_sdk::{QuicknodeSdk, SdkFullConfig};23#[tokio::main]4async fn main() -> Result<(), Box<dyn std::error::Error>> {5let qn = QuicknodeSdk::new(&SdkFullConfig::builder().api_key("YOUR_API_KEY").build())?;6let response = qn.webhooks.update_webhook_template("WEBHOOK_ID", &quicknode_sdk::webhooks::UpdateWebhookTemplateParams { template_args: quicknode_sdk::webhooks::TemplateArgs::evm_wallet_filter(&quicknode_sdk::webhooks::EvmWalletFilterTemplate { wallets: vec!["0x0000000000000000000000000000000000000000".to_string()] })?, ..Default::default() }).await?;78println!("{:?}", response);9Ok(())10}11
1use quicknode_sdk::{QuicknodeSdk, SdkFullConfig};23#[tokio::main]4async fn main() -> Result<(), Box<dyn std::error::Error>> {5let qn = QuicknodeSdk::new(&SdkFullConfig::builder().api_key("YOUR_API_KEY").build())?;6let response = qn.webhooks.update_webhook_template("WEBHOOK_ID", &quicknode_sdk::webhooks::UpdateWebhookTemplateParams { template_args: quicknode_sdk::webhooks::TemplateArgs::evm_wallet_filter(&quicknode_sdk::webhooks::EvmWalletFilterTemplate { wallets: vec!["0x0000000000000000000000000000000000000000".to_string()] })?, ..Default::default() }).await?;78println!("{:?}", response);9Ok(())10}11
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free